<?php

function mt_testimonials_shortcode( $atts ) {
	
	// Attributes
	extract( shortcode_atts(
		array(
			'number' => '-1', 
			'category' => '',
			'columns' => '3',
		), $atts )
	);

	// Creating custom query to fetch the project type custom post.
    $sctestimonials = new WP_Query( 
		array(
			'post_type' => 'testimonial',
			'posts_per_page' => $number, 
			'category_name' => $category
			)
		);
	
	// Looping through the posts and building the HTML structure.
    if($sctestimonials)	{ 
		
		$output .= '<section id="mt-testimonials"><div class="grid grid-pad">';
		
        while ( $sctestimonials->have_posts() ) 
		{
			
            $sctestimonials->the_post();
			
			$post_meta_name = get_post_meta( get_the_ID(), 'mt-full-name', TRUE );
			$post_meta_company = get_post_meta( get_the_ID(), 'mt-title-company', TRUE );
             
			$output .= '<div class="col-1-' . $columns . ' mt-column-clear"><div class="testimonial">';
			
			$output .=	'<p>'.get_the_content().'</p>';
			
			if(has_post_thumbnail()) {
			$output .=	get_the_post_thumbnail( get_the_ID(), 'thumbnail', array( 'class' => 'testimonial-img' ) );
			}
           	
            if ( get_post_meta( get_the_ID(), 'mt-full-name', TRUE ) ): 
			$output .=	'<h3>'. esc_html( $post_meta_name ) . '</h3>';
			endif;
          
			if ( get_post_meta( get_the_ID(), 'mt-title-company', TRUE ) ): 
			$output .=	'<span>'. esc_html( $post_meta_company ) . '</span>';
			endif;
			
            $output .= '</div></div>'; 

        }
		
		$output .= '</div></section>';
		
    }
	
    else
        $output = __( 'Sorry, No testimonials yet!', 'mttestimonials' );        
	
	
	wp_reset_postdata();
	
	     
    return $output; 
}


add_shortcode( 'testimonials', 'mt_testimonials_shortcode' );

?>